gnutls_x509_trust_list_get_issuer(3)

NAME
gnutls_x509_trust_list_get_issuer - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_get_issuer(gnutls_x509_trust_list_t list, gnutls_x509_crt_t cert, gnutls_x509_crt_t* issuer, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The structure of the list

gnutls_x509_crt_t cert
    is the certificate to find issuer for

gnutls_x509_crt_t* issuer
    Will hold the issuer if any. Should be treated as constant.

unsigned int flags
    Use zero.

DESCRIPTION
This function will attempt to find the issuer of the given certificate.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.